package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.AutoMl;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface AutoMlDao {
    long count(@Param("mlName") String mlName);

    List<AutoMl> queryByPage(@Param("mlName") String mlName, @Param("pageable") Pageable pageable);

    AutoMl getAutoMlById(@Param("id") Long id);

    AutoMl getAutoMlByName(@Param("mlName") String mlName);

    int save(@Param("autoMl") AutoMl autoMl);

    int edit(@Param("autoMl") AutoMl autoMl);

    List<AutoMl> queryByDatasetId(@Param("datasetId") String datasetId);
}
